// $Id$

/**
 * Attach onRemove handlers to content 'remove' buttons.
 */
Drupal.behaviors.contentMultigroupRemoveButtons = function(context) {
  $('.content-multiple-remove-checkbox', context).not('.content-multigroup-remove-buttons-processed').each(function() {
    $(this).addClass('content-multigroup-remove-buttons-processed');

    $(this).bind('remove', function(event, settings) {
      // Ignore events not targetted to multigroups.
      if (settings.type != 'multigroup') {
        return;
      }

      // Trigger all onRemove event handlers for all widgets in the multigroup.
      for (var field_name in Drupal.settings.content_multigroup[settings.name]) {
        // Clone and setup the settings object for the widget.
        var widget_settings = {};
        for (var i in settings) {
          widget_settings[i] = settings[i];
        }
        widget_settings.type = Drupal.settings.content_multigroup[settings.name][field_name];
        widget_settings.name = field_name;

        // Trigger the onRemove event handler for a single widget.
        $(settings.checkbox).trigger('remove', [event, widget_settings]);
      }
    });
  });
};
